%define pypi_name arpy

Name:          python-%{pypi_name}
Version:       2.3.0
Release:       %mkrel 3
Group:         Development/Python
Summary:       Library for accessing "ar" files
License:       BSD
URL:           https://pypi.org/project/arpy
Source0:       %{pypi_source}
BuildArch:     noarch

%description
arpy is a library for accessing the archive files and reading the contents.

It supports extended long filenames in both GNU and BSD format. Right now it
does not support the symbol tables, but can ignore them gracefully.

%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
arpy is a library for accessing the archive files and reading the contents.

It supports extended long filenames in both GNU and BSD format. Right now it
does not support the symbol tables, but can ignore them gracefully.

This package allows using arpy in Python 3 applications.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}



%changelog
* Mon Feb 17 2025 daviddavid <daviddavid> 2.3.0-3.mga10
+ Revision: 2149169
- switch to pytest

* Fri Dec 08 2023 papoteur <papoteur> 2.3.0-2.mga10
+ Revision: 2015826
- rebuild for python 3.12

* Thu Sep 08 2022 neoclust <neoclust> 2.3.0-1.mga9
+ Revision: 1885984
- New version 2.3.0

* Thu Mar 24 2022 umeabot <umeabot> 2.2.0-4.mga9
+ Revision: 1825134
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 2.2.0-3.mga9
+ Revision: 1785769
- rebuild for python-3.10

* Fri Mar 26 2021 ovitters <ovitters> 2.2.0-2.mga9
+ Revision: 1710486
- rebuild for Python 3.9

* Sun Feb 28 2021 guillomovitch <guillomovitch> 2.2.0-1.mga9
+ Revision: 1693533
- new version 2.2.0
- new version 2.1.0

* Sat Apr 11 2020 ovitters <ovitters> 1.1.1-1.mga8
+ Revision: 1566378
- Mageify the spec
- from Fedora


* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1.1.1-6
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.1.1-5
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Dec 24 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.1.1-2
- Enable python dependency generator

* Sat Aug 04 2018 Mathieu Bridon <bochecha@daitauha.fr> - 1.1.1-1
- Initial package for Fedora.
